diff --git a/workdir/Asociace/Assets/Scripts/Ui/Components/TimeBar.cs b/workdir/Asociace/Assets/Scripts/Ui/Components/TimeBar.cs
index 81abd5eaf..b411fa734 100644
--- a/workdir/Asociace/Assets/Scripts/Ui/Components/TimeBar.cs
+++ b/workdir/Asociace/Assets/Scripts/Ui/Components/TimeBar.cs
@@ -8,6 +8,14 @@ using UnityEngine.UI;
 
 namespace Ui.Components
 {
+    public enum TimeBarMode
+    {
+        LEARNING,
+        EXAMINING,
+        CORRECT,
+        NONE
+    }
+
     /// <summary>
     /// Time bar control script.
     /// </summary>
@@ -26,16 +34,17 @@ namespace Ui.Components
         /// </summary>
         private static float startGameTime;
 
-        public bool learningPart = false;
+        public TimeBarMode mode = TimeBarMode.NONE;
 
         static TimeBar()
         {
             currentMaxTime = -1;
         }
 
-        public void SetLearningPart(bool lp)
+        public void SetMode(TimeBarMode m)
         {
-            learningPart = lp;
+            mode = m;
+            SetSize(0);
         }
 
         private void Start()
@@ -46,26 +55,45 @@ namespace Ui.Components
 
         private void Update()
         {
-            if (learningPart)
-            {
-                ShowCurrentState();
-                return;
-            }
-
-            if (RealTime.GameTimeIsActive && currentMaxTime >= 0)
+            if (mode != TimeBarMode.NONE)
             {
                 if ((RealTime.GameTime - startGameTime) >= currentMaxTime)
                 {
-                    // Time is over.
                     SetSize(0);
-                    TaskMainCamera.Instance.ShowResults(true);
+                    switch (mode)
+                    {
+                        case TimeBarMode.LEARNING:
+                            TaskMainCamera.Instance.LearningPhase();
+                            break;
+                        case TimeBarMode.EXAMINING:
+                            // Tady spíš fail
+                            //TaskMainCamera.Instance.ExaminingPhase();
+                            break;
+                        case TimeBarMode.CORRECT:
+                            TaskMainCamera.Instance.ExaminingPhase();
+                            break;
+                    }
                 }
                 else
                 {
-                    // Update the time bar size.
                     ShowCurrentState();
                 }
             }
+
+            //if (RealTime.GameTimeIsActive && currentMaxTime >= 0)
+            //{
+            //    if ((RealTime.GameTime - startGameTime) >= currentMaxTime)
+            //    {
+            //        // Time is over.
+            //        SetSize(0);
+            //        TaskMainCamera.Instance.ShowResults(true);
+            //    }
+            //    else
+            //    {
+            //        // Update the time bar size.
+            //        ShowCurrentState();
+            //    }
+            //}
         }
 
         public void ShowCurrentState() => SetSizeAccordingCurrentRemainingTime();
@@ -91,7 +119,25 @@ namespace Ui.Components
 
         public void LearningPhase()
         {
+            currentMaxTime = 2; //TODO Tady nikde pevný hodnoty
+            GenStart();
+        }
+
+        public void ExaminingPhase()
+        {
+            currentMaxTime = 10;
+            GenStart();
+        }
+
+        public void CorrectPhase()
+        {
+            this.mode = TimeBarMode.CORRECT;
             currentMaxTime = 2;
+            GenStart();
+        }
+
+        private void GenStart()
+        {
             startGameTime = RealTime.GameTime;
             SetSizeAccordingCurrentRemainingTime();
         }
diff --git a/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs b/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
index ee9ed3331..d5ea72eb9 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
@@ -77,17 +77,8 @@ namespace Ui.MainCameras
         /// </summary>
         private Tutorial tutorial;
 
-        public GameObject examining;
+        public GameObject Examining;
 
-        /// <summary>
-        /// The learning part
-        /// </summary>
-        private bool LearningPart;
-
-        /// <summary>
-        /// Game object of linear timer.
-        /// </summary>
-        public GameObject LinearTimer;
 
         /// <summary>
         /// Gameobjects containing all text objects.
@@ -161,7 +152,8 @@ namespace Ui.MainCameras
             RealTime.StopwatchForGameTime(false);
             DataCollector.Instance.SetStartOfGameTime(RealTime.GameTime);
 
-            LearningPhase();
+            //LearningPhase(true);
+            ExaminingPhase(true);
         }
 
         /// <summary>
@@ -433,16 +425,98 @@ namespace Ui.MainCameras
         // ------------ TEMPLATE ------------
         // ----------------------------------
 
-        private void LearningPhase(bool firstCall = false)
+        private Exam GetRoundExam()
         {
-            if (!LearningPart)
-            timeBar.SetLearningPart(true);
-            timeBar.LearningPhase();
+            return Task.Configuration.Rounds[DataCollector.Round].RoundPairs[DataCollector.Instance.currentPairIndex];
+        }
+
+        public void LearningPhase(bool firstCall = false)
+        {
+            if (firstCall)
+                ShowLearningPhase(true);
+            if (DataCollector.Instance.currentPairIndex < Task.Configuration.RoundsPairsNumber[DataCollector.Round])
+            {
+                timeBar.LearningPhase();
+                Exam e = Task.Configuration.Rounds[DataCollector.Round].RoundPairs[DataCollector.Instance.currentPairIndex];
+                int randIndex = General.GetRandomInt(2);
+                var first = TextObjects.transform.GetChild(randIndex).GetComponent<Text>();
+                var second = TextObjects.transform.GetChild(1- randIndex).GetComponent<Text>();
+                first.text = e.GetOriginalDisplayingWord();
+                second.text = e.GetCorrectWord();
+                first.color = Color.black;
+                second.color = Color.black;
+                DataCollector.Instance.currentPairIndex++;
+                //LearningPartAppearAnim();
+            } else
+            {
+                ShowLearningPhase(false);
+                ExaminingPhase();
+            }
         }
 
         private void ShowLearningPhase(bool show = true)
         {
             TextObjects.SetActive(show);
+            timeBar.SetMode(show ? TimeBarMode.LEARNING : TimeBarMode.NONE);
+        }
+
+        public void ExaminingPhase(bool firstCall = false)
+        {
+            if (firstCall)
+            {
+                SetExaminingPhase();
+                DataCollector.Instance.currentPairIndex = 0;
+            }
+            else
+            {
+                DataCollector.Instance.currentPairIndex++;
+            }
+            if (DataCollector.Instance.currentPairIndex < Task.Configuration.RoundsPairsNumber[DataCollector.Round])
+            {
+                timeBar.ExaminingPhase();
+                for (int i = 0; i < 6; i++)
+                {
+                    var o = Examining.transform.GetChild(i).GetChild(0);
+                    o.GetComponent<Text>().text = Task.Configuration.Rounds[DataCollector.Round].RoundPairs[DataCollector.Instance.currentPairIndex].GetOptions()[i];
+                }
+                var tor = TextObjects.transform.GetChild(1).GetComponent<Text>();
+                tor.color = Color.black;
+                tor.text = Constants.QUESTION_MARK;
+                TextObjects.transform.GetChild(0).GetComponent<Text>().text = GetRoundExam().GetDisplayingWord();
+            }
+            else
+            {
+                SetExaminingPhase(false);
+                // Konec
+            }
+        }
+
+        private void SetExaminingPhase(bool show = true)
+        {
+            Examining.SetActive(show);
+            TextObjects.SetActive(show);
+            timeBar.SetMode(show ? TimeBarMode.EXAMINING : TimeBarMode.NONE);
+        }
+
+        public void OnOptionClick(GameObject sender)
+        {
+            string buttonText = sender.transform.GetChild(0).GetComponent<Text>().text;
+            string cv = GetRoundExam().GetCorrectWord();
+            bool correct = buttonText.Equals(cv);
+            Debug.Log(correct);
+            if (correct)
+            {
+                timeBar.CorrectPhase();
+                IsCorrect(cv);
+            }
+            //TODO červené tlačítko
+        }
+
+        public void IsCorrect(string correctWord)
+        {
+            var tor = TextObjects.transform.GetChild(1).GetComponent<Text>();
+            tor.color = Color.green;
+            tor.text = correctWord;
         }
 
         private void AfterOptionClickControl(bool correct, string clickID = null)
diff --git a/workdir/Asociace/UserSettings/Layouts/default-2021.dwlt b/workdir/Asociace/UserSettings/Layouts/default-2021.dwlt
index 3b3f6e9fd..0ccc891dc 100644
--- a/workdir/Asociace/UserSettings/Layouts/default-2021.dwlt
+++ b/workdir/Asociace/UserSettings/Layouts/default-2021.dwlt
@@ -19,7 +19,7 @@ MonoBehaviour:
     width: 1278
     height: 1348
   m_ShowMode: 4
-  m_Title: Hierarchy
+  m_Title: Game
   m_RootView: {fileID: 6}
   m_MinSize: {x: 875, y: 300}
   m_MaxSize: {x: 10000, y: 10000}
@@ -48,7 +48,7 @@ MonoBehaviour:
   m_MinSize: {x: 300, y: 200}
   m_MaxSize: {x: 24288, y: 16192}
   vertical: 0
-  controlID: 19
+  controlID: 82
 --- !u!114 &3
 MonoBehaviour:
   m_ObjectHideFlags: 52
@@ -93,9 +93,9 @@ MonoBehaviour:
     x: 0
     y: 0
     width: 236
-    height: 769
-  m_MinSize: {x: 200, y: 200}
-  m_MaxSize: {x: 4000, y: 4000}
+    height: 768
+  m_MinSize: {x: 201, y: 221}
+  m_MaxSize: {x: 4001, y: 4021}
   m_ActualView: {fileID: 14}
   m_Panes:
   - {fileID: 14}
@@ -111,23 +111,23 @@ MonoBehaviour:
   m_Enabled: 1
   m_EditorHideFlags: 1
   m_Script: {fileID: 12006, guid: 0000000000000000e000000000000000, type: 0}
-  m_Name: ProjectBrowser
+  m_Name: ConsoleWindow
   m_EditorClassIdentifier: 
   m_Children: []
   m_Position:
     serializedVersion: 2
     x: 0
-    y: 769
+    y: 768
     width: 983
-    height: 529
-  m_MinSize: {x: 231, y: 271}
-  m_MaxSize: {x: 10001, y: 10021}
-  m_ActualView: {fileID: 12}
+    height: 530
+  m_MinSize: {x: 101, y: 121}
+  m_MaxSize: {x: 4001, y: 4021}
+  m_ActualView: {fileID: 17}
   m_Panes:
   - {fileID: 12}
   - {fileID: 17}
-  m_Selected: 0
-  m_LastSelected: 1
+  m_Selected: 1
+  m_LastSelected: 0
 --- !u!114 &6
 MonoBehaviour:
   m_ObjectHideFlags: 52
@@ -223,7 +223,7 @@ MonoBehaviour:
   m_MinSize: {x: 200, y: 200}
   m_MaxSize: {x: 16192, y: 16192}
   vertical: 1
-  controlID: 20
+  controlID: 83
 --- !u!114 &10
 MonoBehaviour:
   m_ObjectHideFlags: 52
@@ -244,11 +244,11 @@ MonoBehaviour:
     x: 0
     y: 0
     width: 983
-    height: 769
+    height: 768
   m_MinSize: {x: 200, y: 100}
   m_MaxSize: {x: 16192, y: 8096}
   vertical: 0
-  controlID: 21
+  controlID: 84
 --- !u!114 &11
 MonoBehaviour:
   m_ObjectHideFlags: 52
@@ -267,9 +267,9 @@ MonoBehaviour:
     x: 236
     y: 0
     width: 747
-    height: 769
-  m_MinSize: {x: 200, y: 200}
-  m_MaxSize: {x: 4000, y: 4000}
+    height: 768
+  m_MinSize: {x: 202, y: 221}
+  m_MaxSize: {x: 4002, y: 4021}
   m_ActualView: {fileID: 15}
   m_Panes:
   - {fileID: 15}
@@ -317,22 +317,22 @@ MonoBehaviour:
     m_SkipHidden: 0
     m_SearchArea: 1
     m_Folders:
-    - Assets
+    - Assets/Animations
     m_Globs: []
     m_OriginalText: 
   m_ViewMode: 1
   m_StartGridSize: 64
   m_LastFolders:
-  - Assets
+  - Assets/Animations
   m_LastFoldersGridSize: -1
   m_LastProjectPath: "E:\\\u0160kola\\TSP\\aswi2023brainstorm\\workdir\\Asociace"
   m_LockTracker:
     m_IsLocked: 0
   m_FolderTreeState:
     scrollPos: {x: 0, y: 0}
-    m_SelectedIDs: 9c5a0000
-    m_LastClickedID: 23196
-    m_ExpandedIDs: 000000009c5a000000ca9a3bffffff7f
+    m_SelectedIDs: 8e5a0000
+    m_LastClickedID: 23182
+    m_ExpandedIDs: 00000000145b0000165b0000185b00001a5b0000
     m_RenameOverlay:
       m_UserAcceptedRename: 0
       m_Name: 
@@ -360,7 +360,7 @@ MonoBehaviour:
     scrollPos: {x: 0, y: 0}
     m_SelectedIDs: 
     m_LastClickedID: 0
-    m_ExpandedIDs: 000000009c5a0000
+    m_ExpandedIDs: 00000000145b0000165b0000185b00001a5b0000
     m_RenameOverlay:
       m_UserAcceptedRename: 0
       m_Name: 
@@ -404,7 +404,7 @@ MonoBehaviour:
       m_IsRenaming: 0
       m_OriginalEventType: 11
       m_IsRenamingFilename: 1
-      m_ClientGUIView: {fileID: 0}
+      m_ClientGUIView: {fileID: 5}
     m_CreateAssetUtility:
       m_EndAction: {fileID: 0}
       m_InstanceID: 0
@@ -480,7 +480,7 @@ MonoBehaviour:
     x: 1
     y: 81
     width: 235
-    height: 748
+    height: 747
   m_ViewDataDictionary: {fileID: 0}
   m_OverlayCanvas:
     m_LastAppliedPresetName: Default
@@ -488,9 +488,9 @@ MonoBehaviour:
   m_SceneHierarchy:
     m_TreeViewState:
       scrollPos: {x: 0, y: 0}
-      m_SelectedIDs: 18580000
-      m_LastClickedID: 22552
-      m_ExpandedIDs: 36fbffff525700006c57000070570000bc570000c657000024580000
+      m_SelectedIDs: 
+      m_LastClickedID: 0
+      m_ExpandedIDs: 36fbffff6c570000d6570000ea5700008a580000
       m_RenameOverlay:
         m_UserAcceptedRename: 0
         m_Name: 
@@ -537,7 +537,7 @@ MonoBehaviour:
     x: 237
     y: 81
     width: 745
-    height: 748
+    height: 747
   m_ViewDataDictionary: {fileID: 0}
   m_OverlayCanvas:
     m_LastAppliedPresetName: Default
@@ -772,9 +772,9 @@ MonoBehaviour:
   m_PlayAudio: 0
   m_AudioPlay: 0
   m_Position:
-    m_Target: {x: -0.4530247, y: -0.5010158, z: -0.04851632}
+    m_Target: {x: -0.41865343, y: -0.5787737, z: -0.044448152}
     speed: 2
-    m_Value: {x: -0.4530247, y: -0.5010158, z: -0.04851632}
+    m_Value: {x: -0.41865343, y: -0.5787737, z: -0.044448152}
   m_RenderMode: 0
   m_CameraMode:
     drawMode: 0
@@ -825,9 +825,9 @@ MonoBehaviour:
     speed: 2
     m_Value: {x: 0, y: 0, z: 0, w: 1}
   m_Size:
-    m_Target: 9.040442
+    m_Target: 8.633622
     speed: 2
-    m_Value: 9.040442
+    m_Value: 8.633622
   m_Ortho:
     m_Target: 1
     speed: 2
@@ -872,10 +872,10 @@ MonoBehaviour:
     m_Tooltip: 
   m_Pos:
     serializedVersion: 2
-    x: 237
-    y: 81
-    width: 745
-    height: 748
+    x: 473
+    y: 73
+    width: 1494
+    height: 753
   m_ViewDataDictionary: {fileID: 0}
   m_OverlayCanvas:
     m_LastAppliedPresetName: Default
@@ -886,7 +886,7 @@ MonoBehaviour:
   m_ShowGizmos: 0
   m_TargetDisplay: 0
   m_ClearColor: {r: 0, g: 0, b: 0, a: 0}
-  m_TargetSize: {x: 745, y: 727}
+  m_TargetSize: {x: 1494, y: 732}
   m_TextureFilterMode: 0
   m_TextureHideFlags: 61
   m_RenderIMGUI: 1
@@ -901,10 +901,10 @@ MonoBehaviour:
     m_VRangeLocked: 0
     hZoomLockedByDefault: 0
     vZoomLockedByDefault: 0
-    m_HBaseRangeMin: -372.5
-    m_HBaseRangeMax: 372.5
-    m_VBaseRangeMin: -363.5
-    m_VBaseRangeMax: 363.5
+    m_HBaseRangeMin: -747
+    m_HBaseRangeMax: 747
+    m_VBaseRangeMin: -366
+    m_VBaseRangeMax: 366
     m_HAllowExceedBaseRangeMin: 1
     m_HAllowExceedBaseRangeMax: 1
     m_VAllowExceedBaseRangeMin: 1
@@ -922,23 +922,23 @@ MonoBehaviour:
       serializedVersion: 2
       x: 0
       y: 21
-      width: 745
-      height: 727
+      width: 1494
+      height: 732
     m_Scale: {x: 1, y: 1}
-    m_Translation: {x: 372.5, y: 363.5}
+    m_Translation: {x: 747, y: 366}
     m_MarginLeft: 0
     m_MarginRight: 0
     m_MarginTop: 0
     m_MarginBottom: 0
     m_LastShownAreaInsideMargins:
       serializedVersion: 2
-      x: -372.5
-      y: -363.5
-      width: 745
-      height: 727
+      x: -747
+      y: -366
+      width: 1494
+      height: 732
     m_MinimalGUI: 1
   m_defaultScale: 1
-  m_LastWindowPixelSize: {x: 745, y: 748}
+  m_LastWindowPixelSize: {x: 1494, y: 753}
   m_ClearInEditMode: 1
   m_NoCameraWarning: 1
   m_LowResolutionForAspectRatios: 01000000000000000000
@@ -965,9 +965,9 @@ MonoBehaviour:
   m_Pos:
     serializedVersion: 2
     x: 1
-    y: 850
+    y: 849
     width: 982
-    height: 508
+    height: 509
   m_ViewDataDictionary: {fileID: 0}
   m_OverlayCanvas:
     m_LastAppliedPresetName: Default
